<wizard> ... </wizard> |

`<wizard>` is defined in the Wizard generator module. The `<wizard>` tag generates wizard-like user interfaces, where the user is guided through several pages of controls. It is very useful for making web applications in RXML. The `<wizard>` tag must contain at least one `<page>` page container tag. The `<page>` tag can in turn contain `<var>` tags or `<cvar>` container tags.

Attributes |
cancel, cancel-label, done, name, next-label, ok-label, page-label, previous-label, cols, default, name, options, rows, size, type,

Attributes

`cancel`=URL
  The URL to go to when the cancel button is pressed.

`cancel-label`=string
  The text on the cancel button.

`done`=URL
  The URL to go to when the done button is pressed.

`name`=string
  The title of the wizard.

`next-label`=string
  The text on the next button.

`ok-label`=string
  The text on the ok button.

`page-label`=text
  The text Page in the upper right corner.

`previous-label`=text
  The text on the previous button.

Attributes for `<var>` and `<cvar>`

`cols`=number
  Sets the number of columns.

`default`=value
  The default value.

`name`=name
  The name of the variable.

`options`=option1,option2,...
  Available for select or select_multiple variables.

`rows`=number
  Sets the number of rows.

`size`=number
  Sets the size or the input form.

`type`=string password list text radio checkbox int float color color-small font toggle select select_multiple

  The variable type.

Example

source code

    <page>
    Message

    </page>

    <page>
    <formoutput>
    #message#
    </formoutput>
    </page>

    "=> >

result | <page> Message </page> <page> <formoutput> #message# </formoutput> </page>